# Review: https://bugzilla.redhat.com/show_bug.cgi?id=442270

Name:           lxde-common
Version:        0.5.4
Release:        1%{?dist}
Summary:        Default configuration files for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
#Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-0.5.0.tar.gz
Source1:        lxde-lock-screen.desktop
Source2:        lxde-desktop-preferences.desktop
# http://lxde.svn.sourceforge.net/viewvc/lxde/trunk/lxde-common/startlxde.in?r1=1964&r2=2187
Patch0:         lxde-common-0.5.0-fix-session-startup.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=847a8e73e658bb9ced5eb7b12242b0064224f49e
Patch1:         lxde-common-0.5.1-Launch-dbus-in-startlxde-when-needed.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=34cd793a18138463133a72b713173d2d01d32d66
Patch2:         lxde-common-0.5.1-start-xscreensaver-after-lxpanel-and-pcmanfm.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=28309e598478254fa9c918782cf089aea6358abb
Patch3:         lxde-common-0.5.1-Ensure-the-existance-of-the-Desktop-folder.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=0f3b683ccd0c208c1f32fae28f628db9e103ccd8
Patch5:         lxde-common-0.5.1-switch-from-pcmanfm-to-pcmanfm2.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=fcefd17a7187232d15aca13fdedf47a4b854fc21
Patch7:         lxde-common-0.5.1-Properly-set-XDG_MENU_PREFIX.patch
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxde-common;a=commit;h=bf7093b8c45c7a38a2f42ddb61135fca7566ff5e
Patch8:         lxde-common-0.5.1-Fix-config-file-of-pcmanfm2.patch
# Distro specific patches
Patch10:        %{name}-0.5.1-pcmanfm-config.patch
Patch11:        %{name}-0.5.0-lxpanel-config.patch
Patch12:        %{name}-0.4-openbox-menu.patch
Patch13:        %{name}-0.3.2.1-logout-banner.patch
Patch14:        %{name}-0.5.1-pulseaudio.patch
Patch15:        %{name}-0.5.0-vendor.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
# because of some patches:
BuildRequires:  automake
Requires:       lxsession >= 0.4.0
Requires:       lxpanel pcmanfm openbox xdg-utils 
Requires:       lxmenu-data
# Use vendor's artwork
Requires:       system-logos
%if 0%{?fedora} < 9
Requires:       desktop-backgrounds-basic
%else
Requires:       desktop-backgrounds-compat
# needed because of new gdm
Requires:       xorg-x11-utils
%endif
Obsoletes:      %{name}-data <= 0.3.2.1-5
# needed because the lxde-common and lxde-common-data 
# required each other with full n-v-r on F-11
Provides:       %{name} = 0.3.2.1-4.fc11
Provides:       %{name}-data = 0.3.2.1-4.fc11
BuildArch:      noarch

%description
This package contains the configuration files for LXDE, the Lightweight X11 
Desktop Environment.


%prep
%setup -qn %{name}-0.5.0
%patch0 -p2 -b .session-startup
%patch1 -p1 -b .dbus
%patch2 -p1 -b .xscreensaver
%patch3 -p1 -b .desktop
%patch5 -p1 -b .pcmanfm2
%patch7 -p1 -b .menu-prefix
%patch8 -p1 -b .fix-pcmanfm2
%patch10 -p1 -b .orig
%patch11 -p1 -b .orig
%patch12 -p1 -b .orig
%patch13 -p1 -b .logout-banner
%patch14 -p1 -b .pulseaudio
%patch15 -p1 -b .vendor

%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install                                           \
      --remove-key=Encoding                                    \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      %{SOURCE1}
# cannot use desktop-file-utils because it is out of date
install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf
%dir %{_sysconfdir}/xdg/pcmanfm/
%config(noreplace) %{_sysconfdir}/xdg/pcmanfm/lxde.conf
%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde
%{_datadir}/lxde/
%{_datadir}/lxpanel/profile/LXDE/
%{_mandir}/man1/*.1.gz
%{_datadir}/xsessions/LXDE.desktop
%{_datadir}/applications/lxde-*.desktop


%changelog
* Thu Apr 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.4-1
- Bump version to 0.5.4 to indicate changes for pcmanfm2
- Adjustments for recent Goddard artwork changes

* Thu Mar 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-3
- Updates for pcmanfm2

* Tue Dec 15 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-2
- Restore toggle functionality of the show deskop plugin
- Drop requirement for obsolete lxde-settings-daemon

* Fri Dec 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Tue Oct 27 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-2
- Final tweaks for the LXDE Spin

* Sat Jul 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2
- Disable OLPC keyboard shortcuts for now, they interfere with OpenOffice
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-3
- Add XO keyboard shortcuts

* Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
- Include logout and screenlock buttons (#503919)

* Mon May 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon May 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-2
- Fix Provides to allow proper upgrade

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Update to 0.4
- Require lxmenu-data and lxde-settings-daemon
- Drop obsolete config file /etc/xdg/lxsession/LXDE/default

* Fri Mar 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-4
- Workaround for new gdm
- Add Pulseaudio support
- Add mixer plugin to the panel
- Require xdg-utils

* Fri Oct 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-3
- Require fedora-icon-theme and system-logos

* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-2
- Rebase patches for rpm's new fuzz=0 behaviour

* Thu Jul 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-1
- Update to 0.3.2.1
- Switch from ROXTerm to LXterminal
- Rebased most patches
- Add mixer to the panel 

* Mon Apr 14 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-2
- Make a separate package for lxde-icon-theme

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-1
- Update to 0.3.0.1
- Use distros default artwork

* Sat Mar 29 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.0-1
- Initial Fedora RPM
- Use roxterm instead of gnome-terminal and xterm
- Patch default panel config
